View Issue Details

IDProjectCategoryView StatusLast Update
0002756SymmetricDSImprovementpublic2016-08-31 07:12
Reporterjosh-a-hicksAssigned Tojosh-a-hicks 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version3.8.3 
Target Version3.8.3Fixed in Version3.8.3 
Summary0002756: Allow BSH transforms to control if old data is sent to target
DescriptionBeanshell transform types can not return either a String or an instance of the org.jumpmind.symmetric.io.data.transform.NewAndOldValue object. This allows the oldValue to be sent to the target as well.

TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.8 5207e65c

2016-08-29 13:51:22

josh-a-hicks

Details Diff
0002756: Allow BSH transforms to control if old data is sent to target
0002756
mod - symmetric-assemble/src/asciidoc/configuration/transforms/types.ad Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/io/data/transform/BshColumnTransform.java Diff File

Issue History

Date Modified Username Field Change
2016-08-29 13:50 josh-a-hicks New Issue
2016-08-29 13:50 josh-a-hicks Status new => assigned
2016-08-29 13:50 josh-a-hicks Assigned To => josh-a-hicks
2016-08-30 11:00 josh-a-hicks Changeset attached => SymmetricDS 3.8 5207e65c
2016-08-31 07:12 josh-a-hicks Status assigned => resolved
2016-08-31 07:12 josh-a-hicks Fixed in Version => 3.8.3
2016-08-31 07:12 josh-a-hicks Resolution open => fixed